ReflectionSocketFactory (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.protocol

## Class ReflectionSocketFactory

- java.lang.Object
- - org.apache.commons.httpclient.protocol.ReflectionSocketFactory

-     public final class ReflectionSocketFactory
      extends java.lang.Object

  This helper class uses refelction in order to execute Socket methods available in Java 1.4 and above
  Since:
    3.0
  Author:
    Oleg Kalnichevski

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.net.Socket` | `createSocket(java.lang.String socketfactoryName, java.lang.String host, int port, java.net.InetAddress localAddress, int localPort, int timeout)` This method attempts to execute Socket method available since Java 1.4 using reflection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createSocket

          public static java.net.Socket createSocket(java.lang.String socketfactoryName,
                                                     java.lang.String host,
                                                     int port,
                                                     java.net.InetAddress localAddress,
                                                     int localPort,
                                                     int timeout)
                                              throws java.io.IOException,
                                                     java.net.UnknownHostException,
                                                     ConnectTimeoutException

      This method attempts to execute Socket method available since Java 1.4 using reflection. If the methods are not available or could not be executed `null` is returned
      Parameters:
        `socketfactoryName` - name of the socket factory class
        `host` - the host name/IP
        `port` - the port on the host
        `localAddress` - the local host name/IP to bind the socket to
        `localPort` - the port on the local machine
        `timeout` - the timeout value to be used in milliseconds. If the socket cannot be completed within the given time limit, it will be abandoned
      Returns:
        a connected Socket
      Throws:
        `java.io.IOException` - if an I/O error occurs while creating the socket
        `java.net.UnknownHostException` - if the IP address of the host cannot be determined
        `ConnectTimeoutException` - if socket cannot be connected within the given time limit

Copyright (c) 1999-2005 - Apache Software Foundation